gnu.io

## Class ParallelPortEvent

- java.lang.Object
- - java.util.EventObject
  - - gnu.io.ParallelPortEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ParallelPortEvent
      extends java.util.EventObject

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PAR_EV_BUFFER`
    `static int` | `PAR_EV_ERROR`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelPortEvent(ParallelPort srcport, int eventtype, boolean oldvalue, boolean newvalue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEventType()`
    `boolean` | `getNewValue()`
    `boolean` | `getOldValue()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PAR_EV_ERROR

          public static final int PAR_EV_ERROR

      See Also:
        Constant Field Values

    - #### PAR_EV_BUFFER

          public static final int PAR_EV_BUFFER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParallelPortEvent

          public ParallelPortEvent(ParallelPort srcport,
                                   int eventtype,
                                   boolean oldvalue,
                                   boolean newvalue)

  - ### Method Detail

    - #### getEventType

          public int getEventType()

    - #### getNewValue

          public boolean getNewValue()

    - #### getOldValue

          public boolean getOldValue()